Subject: Re: bug#30467: GuixSD fails to display login prompt on headless server

From: Leo Famulari <[email-masked]>
Date: Thu, 15 Feb 2018 11:23:10 -0500

On Thu, Feb 15, 2018 at 04:54:55PM +0100, Danny Milosavljevic wrote:
> Leo added a comment to the services/base.scm code:
> 
> ;;; FIXME This doesn't work as expected. According to agetty(8), if this option
> ;;; is not passed, then the default is 'auto'. However, in my tests, when that
> ;;; option is selected, agetty never presents the login prompt, and the
> ;;; term-ttyS0 service respawns every few seconds.
>                                 #$@(if local-line
>                                        #~(#$(match local-line
>                                               ('auto "--local-line=auto")
>                                               ('always "--local-line=always")
>                                               ('never "-local-line=never")))
>                                        #~())
> 
> So try specifying local-line ?

To clarify, I meant that the documented agetty default (auto) works, but
actually specifying 'auto' in config.scm would break agetty.

So, normally I recommend ignoring this option, since it seems broken
upstream.